function Create(self)
--The timer that will measure out the missile's events.
    self.LTimer = Timer();

--The missile's target, currently set to nothing.

    self.target = nil;

--Find out who shot the weapon by finding the closest actor within 50 pixels.
    local curdist = 50;
    for actor in MovableMan.Actors do
	local avgx = actor.Pos.X - self.Pos.X;
	local avgy = actor.Pos.Y - self.Pos.Y;
	local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
	if dist < curdist then
	    curdist = dist;
	    self.parent = actor;
	end
    end

--If the missile has no firer, make it go after anyone.  Otherwise, set its team to that of the firer.
    if MovableMan:IsActor(self.parent) then
	self.Team = self.parent.Team;
    else
	self.Team = -1;
    end
end

function Update(self)
    if self.LTimer:IsPastSimMS(5) then
	--Get a target.  Go for the closest actor within 5000 pixels.
	if MovableMan:IsActor(self.target) == false then
	    local curdist = 5000;
	    for actor in MovableMan.Actors do
		local avgx = actor.Pos.X - self.Pos.X;
		local avgy = actor.Pos.Y - self.Pos.Y;
		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
		if dist < curdist and actor.Team ~= self.Team then
		    curdist = dist;
		    self.target = actor;
		end
	    end
	end

	--If the target still exists...
	if MovableMan:IsActor(self.target) then
	    --The direction from the center of the missile to the target.
	    local targetdir = math.atan2(-(self.target.Pos.Y-self.Pos.Y),(self.target.Pos.X-self.Pos.X))*180/math.pi;


	    if targetdir ~= self.Vel.AbsDegAngle then
		self.Vel.DegRotate(targetdir - self.Vel.AbsDegAngle);
	    end



	end
    end
end